AIFCDescriptor (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface AIFCDescriptor

- All Superinterfaces:
    AAFFileDescriptor, EssenceDescriptor, InterchangeObject, MediaEntity, MetadataObject
  All Known Implementing Classes:
    AIFCDescriptorImpl

      public interface AIFCDescriptor
      extends AAFFileDescriptor

  Specifies the description of a file of audio essence formatted according to the Audio Interchange File Format with Compression (AIFC).

  The audio interchange file format with compression, where audio data is stored in chunks that are compressed according to various defined codecs. For more information, see the description of AIFF on Wikipedia.

  See Also:
    `CodecConstant.AIFC`, `SourcePackage.getEssenceDescriptor()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AIFCDescriptor` | `clone()` Create a cloned copy of this AIFC descriptor.
    `byte[]` | `getAIFCSummary()` Gets a copy of the descriptive information in the associated AIFC Audio Data value.
    `int` | `getSummaryBufferSize()` Deprecated. Use `getAIFCSummary()``.length` instead.
    `void` | `setAIFCSummary(byte[] summary)` Sets the AIFC file information, the descriptive information in the associated AIFC audio data value.

    - ### Methods inherited from interface tv.amwa.maj.model.AAFFileDescriptor

      `getCodec, getContainerFormat, getEssenceLength, getLinkedTrackID, getSampleRate, setCodec, setContainerFormat, setEssenceLength, setLinkedTrackID, setSampleRate`

    - ### Methods inherited from interface tv.amwa.maj.model.EssenceDescriptor

      `appendLocator, appendSubDescriptor, clearLocators, countLocators, countSubDescriptors, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getAIFCSummary

          @DataValue
          byte[] getAIFCSummary()

      Gets a copy of the descriptive information in the associated AIFC Audio Data value.

      Returns:
        A copy of the descriptive information in the associated AIFC audio data value.

    - #### getSummaryBufferSize

          @Deprecated
           @UInt32
          int getSummaryBufferSize()

      Deprecated. Use `getAIFCSummary()``.length` instead.

      Returns the size of the buffer returned by the `getAIFCSummary()` method.

      Returns:
        Size of the summary buffer.

    - #### setAIFCSummary

          void setAIFCSummary(@DataValue
                              byte[] summary)
                       throws NullPointerException

      Sets the AIFC file information, the descriptive information in the associated AIFC audio data value.

      Parameters:
        `summary` - A copy of the descriptive information in the associated AIFC Audio Data value.
      Throws:
        `NullPointerException` - The given summary buffer is `null`.

    - #### clone

          AIFCDescriptor clone()

      Create a cloned copy of this AIFC descriptor.

      Specified by:
        `clone` in interface `AAFFileDescriptor`
      Specified by:
        `clone` in interface `EssenceDescriptor`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this AIFC descriptor.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.